Package net.rubygrapefruit.platform

# Interface FileSystems

All Superinterfaces:
  `NativeIntegration`

All Known Implementing Classes:
  `PosixFileSystems`

public interface FileSystems extends NativeIntegration
Provides access to the file systems of the current machine.

## Method Summary

Modifier and Type
Method
Description
`List<FileSystemInfo>`
`getFileSystems()`
Returns the set of all file systems for the current machine.

## Method Details

### getFileSystems

List<FileSystemInfo> getFileSystems() throws NativeException
Returns the set of all file systems for the current machine.

Returns:
  The set of file systems. Never returns null.
Throws:
  `NativeException` - On failure.